<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/shif.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
adm_check();




if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
else {header("Location: /index.php?".SID);exit;}


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}


$ank=get_user($ank['id']);
if ($user['level']<=$ank['level']){header("Location: /index.php?".SID);exit;}


$set['title']='Изменить лидера дня '.$ank['nick'];
include_once '../sys/inc/thead.php';
title();


if (isset($_POST['save'])){

if (isset($_POST['ankbest']) && strlen2($_POST['ankbest'])<=32)
{
if (strlen2($_POST['ankbest'])<5) $err[]='Не заполнен комментарий не менее 5';




if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\!\.,]#ui',$_POST['ankbest']))$err[]='В поле "комментарии" используются запрещенные символы';
else {
$ank['ankbest']=$_POST['ankbest'];
mysql_query("UPDATE `user` SET `ankbest` = '".my_esc($ank['ankbest'])."' WHERE `id` = '$ank[id]' LIMIT 1");



if (isset($_POST['best']) && preg_match('#^([A-zА-я0-9 \-\,.]*)$#ui', $_POST['best']))
{
$ank['best']=$_POST['best'];
mysql_query("UPDATE `user` SET `best` = '".intval($ank['best'])."' WHERE `id` = '$ank[id]' LIMIT 1");
}
else $err[]='Неверный анкеты';




}
}
else $err[]='в комментарии нужно писать меньше :)';

if (!isset($err))msg('Вы успешно изменили лидера дня');

}
err();
aut();

echo "<form method='post' action='best.php?id=$ank[id]'>\n";

echo "Активировать:<br /><select name='best'><option value='2'>Включить</option><option value='1'>Отключить</option></select><br />\n";
echo "Изменить комментарий:<br />\n<input type='text' name='ankbest' value='$ank[ankbest]' maxlength='30' /><br />\n";


echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";




if (user_access('adm_panel_show'))
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>